#!/bin/bash

cd `dirname $0`
MYDIR=`pwd`
MYSCRIPT=`basename $0`
cd ../../..
S2P_PATH_BASE=`pwd`
cd $MYDIR

S2P_OS_USERNAME=`$S2P_PATH_BASE/core/libexec/config_view.py system simple | grep ^os.username | cut -d= -f2`
if [[ `whoami` != "$S2P_OS_USERNAME" ]]; then
	exec sudo -u $S2P_OS_USERNAME ./$MYSCRIPT $@
fi

$S2P_PATH_BASE/apps/castiron/libexec/backup_config.py $@  &> /dev/null
$S2P_PATH_BASE/apps/castiron/libexec/backup_callslog.py $@ &> /dev/null
