#!/usr/bin/env python

# Copyright and license: Please refer to LICENSE.TXT

import sys
import os
import os.path
import string
import re
import time
from xml.sax import saxutils

_selfpath=(os.path.dirname(os.path.realpath(__file__)).split('/'))[:-1]
_selfpath.append('pylibs')
_libspath='/'.join(_selfpath)
sys.path.append(_libspath)
sys.path.append(_libspath+'/pythondialog')

import dialog
from castiron import *

# Configuration files
CORE_CONF_SYSTEM 		= xml_to_array(CORE_PATH_BASE+'/config/system.xml')
CASTIRON_CONF_SYSTEM	= xml_to_array(CASTIRON_PATH_BASE+'/config/system.xml')

# Import language
execfile(CASTIRON_PATH_BASE+'/langs/'+CORE_CONF_SYSTEM['language']+'/labels.py')

def ci_lbl(code):
	if not CI_LBL.has_key(code): return code
	return CI_LBL[code]

# Start dialog
d=dialog.Dialog(dialog="dialog")
d.add_persistent_args(["--backtitle", ci_lbl('terminal.title')])
d.add_persistent_args(["--cancel-label", ci_lbl('terminal.close')])

d.msgbox(ci_lbl("terminal.hardware.intro"), width=60, height=10)

os.system('/usr/lib/divas/Config')

d.msgbox(ci_lbl("terminal.hardware.reboot"), width=60, height=10)
		

