#!/bin/bash

cd `dirname $0`
MYDIR=`pwd`
MYSCRIPT=`basename $0`
cd ../../..
S2P_PATH_BASE=`pwd`
cd $MYDIR

CI_PATH_BASE="$S2P_PATH_BASE/apps/castiron"

S2P_OS_USERNAME=`$S2P_PATH_BASE/core/libexec/config_view.py system simple | grep ^os.username | cut -d= -f2`
HTTP_SERVER=`$CI_PATH_BASE/libexec/config_view.py system simple | grep ^http.server | cut -d= -f2`

# Run HTTP server
if [[ "$HTTP_SERVER" == "nanoweb" ]]; then
	/etc/init.d/lighttpd stop
	(sudo -u $S2P_OS_USERNAME $CI_PATH_BASE/nanoweb/bin/nanoctl $1) &
	
else
	$CI_PATH_BASE/nanoweb/bin/nanoctl stop
	/etc/init.d/lighttpd restart
fi